/* ----------------------------------------------------------------- */
/* UPCO ICAI - Departamento de Electrnica y Automtica              */
/* ----------------------------------------------------------------- */
/* Programa introc1: Introduccin al compilador de C y al depurador  */
/*                                                                   */
/* Descripcin: Probar el compilador y depurador                     */
/*                                                                   */
/* Autor: Jos Antonio Rodrguez Mondejar                            */
/* Fecha: 19 / 06 / 1998                                             */
/* Versin: 1.0                                                      */
/*                                                                   */
/* ----------------------------------------------------------------- */

#include <stdio.h>

int Fact(int n);

int main()
{
	int i;
	for (i=0;i<=6;i++)
	{
		printf("%d! = %d\n",i,Fact(i));
	}
	return 0;
}

/* ----------------------------------------------------------------- */
/*                                                                   */
/* int Fact(int n): FACTORIAL DE UN NUMERO                           */
/*                                                                   */
/* Decripcin: Calcula el factorial de un nmero                     */
/*                                                                   */
/* Argumentos: int n, nmero mayor o igual que 0                     */
/*                                                                   */
/* Devuelve:   !n                                                    */
/*                                                                   */
/* ----------------------------------------------------------------- */

int Fact(int n)
{
	int i=1;
	for(;n;n--)
		i*=n;	/* es correcto aunque no lleve llaves */
	return i;
}